﻿import mx.events.EventDispatcher;

class MyClass {
	
	var addEventListener:Function;
	var removeEventListener:Function;
	var dispatchEvent:Function;
	var dispatchQueue:Function;
	
	private var filename:String;
	
	function MyClass(evt) {
		EventDispatcher.initialize(this);
	}
	
	public function load(p_filename:String){
		//save filename:
		filename = p_filename;
		
		var x:XML = new XML();
		x.ignoreWhite = true;
		x["target"] = this;
		x.onLoad = function(success){
			this.target.parseXML(success, this);
		}
		
		x.load(filename);
	}
	
	private function parseXML (success:Boolean, contents:XML){
		
		if( success == false ){
			
			dispatchEvent({type:"error", 
						   target:this,
					       message:"file load error"});
			return;
		}
	
		dispatchEvent({type: "loadComplete", 
					   target:this,
					   contents: contents.toString(),
					   filename:filename});
	}
	
}
